Summary
Get Automation
Description
Get an Automation.
Route
GET /operations-manager/automations/:id
Roles
admin
engineering
apiread
operations
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to get. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The requested Automation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"createdBy": null,
"created": "1993-08-17T09:44:08.659Z",
"lastUpdatedBy": null,
"lastUpdated": "1998-06-01T08:59:27.826Z",
"_id": "2b7c1456550155ae9b642de3",
"gbac": {
"write": [
"98b39317e8fd5a75cecdf22c",
"5553ddc5e8692ed6da96f19b",
"2f41d919d125cc32123a6145"
],
"read": [
"d8e3a3d0a518e93a23cb0783"
]
},
"componentId": ""
}
}